列出 serviceAnnouncement 消息
命名空间:microsoft.graph
从 messages 导航属性中检索 serviceUpdateMessage 资源。
此操作检索租户存在的所有服务更新消息。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | ServiceMessage.Read.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | ServiceMessage.Read.All |
HTTP 请求
GET /admin/serviceAnnouncement/messages
可选的查询参数
此方法支持使用 OData 查询参数来帮助自定义响应。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 serviceUpdateMessage 对象集合。 对响应进行分页,每个页面包含 100 个对象。
示例
请求
GET https://graph.microsoft.com/v1.0/admin/serviceAnnouncement/messages
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#admin/serviceAnnouncement/messages",
"@odata.nextLink": "https://graph.microsoft.com/v1.0/admin/serviceAnnouncement/messages?$skip=100",
"value": [
{
"startDateTime": "2019-02-01T18:51:00Z",
"endDateTime": "2019-06-01T08:00:00Z",
"lastModifiedDateTime": "2021-01-08T01:10:06.843Z",
"title": "(Updated) New feature: Changes to PowerPoint and Word to open files faster",
"id": "MC172851",
"category": "StayInformed",
"severity": "Normal",
"tags": [
"Updated message"
],
"isMajorChange": true,
"actionRequiredByDateTime": null,
"services": [
"SharePoint Online",
"OneDrive for Business"
],
"expiryDateTime": null,
"details": [
{
"name": "ExternalLink",
"value": "https://support.office.com/article/office-document-cache-settings-4b497318-ae4f-4a99-be42-b242b2e8b692"
}
],
"body": {
"contentType": "Text",
"content": "Updated January 07, 2021: Based on learnings from our early rings, we have made the decision to make additional changes to the code before we proceed with the rollout. We will update the Message center post once we re-start the rollout......"
},
"viewPoint": null
}
]
}
反馈
提交和查看相关反馈